/*
     This file is part of GNUnet.
     (C) 2001, 2002 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file include/config.h
 * @author Christian Grothoff
 * @author Tzvetan Horozov
 **/

#ifndef CONFIG_H
#define CONFIG_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef HAVE_CONFIG_H
#include "autodefs.h"
#endif

#if TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else
#if HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#include <time.h>
#endif
#endif

#ifdef HAVE_LIBEXTRACTOR
#ifdef HAVE_EXTRACTOR_H
#define USE_EXTRACTOR
#endif
#endif

  /* hostkey.c and small parts of configuration.c
     still do not work without OpenSSL, thus: */
  /* for all cryptographic primitives: */
#ifdef HAVE_LIBGCRYPT
#undef USE_OPENSSL
#else
#define USE_OPENSSL 1
#endif

 /* #define USE_OPENSSL_CFG 1*/
#ifdef __cplusplus
}
#endif

#endif
/* end of config.h */
