/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/
/**
 * Common methods for GNUnet clients.
 **/

#ifndef PORT_H
#define PORT_H

#include "util/tcpio.h"

/**
 * Configuration: get the GNUnet port for the client to
 * connect to (via TCP).
 **/
unsigned short getGNUnetPort();

/**
 * Configuration: get the GNUnetd host where the client
 * should connect to (via TCP)
 **/
char * getGNUnetdHost();

/**
 * Get a GNUnet TCP socket that is connected to gnunetd.
 **/
GNUNET_TCP_SOCKET * getClientSocket();

/**
 * Free a Client socket.
 **/
void releaseClientSocket(GNUNET_TCP_SOCKET * sock);

#endif
